summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJuha Karjalainen <juha.karjalainen@qt.io>2018-11-20 13:39:30 +0200
committerLiang Qi <liang.qi@qt.io>2019-01-03 11:46:20 +0000
commite28da040ee7b4a579efba53e4a8215fc13ade772 (patch)
treed937d6b8981d1101dd12db688a57e41c741e3036
parentc231323b74e20450e0843a4d8452b6a86b4c12c7 (diff)
Provisioning: Unify duplicated openssl provisioning script
MacOS(10.12 and 10.13) had two identical provisioning scripts for openssl. Now unified under common. Change-Id: If469a56d431e72b291a810fa9c1b701873fe382d Reviewed-by: Aapo Keskimolo <aapo.keskimolo@qt.io>
-rwxr-xr-xcoin/provisioning/common/macos/install_openssl.sh81
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/35-openssl.sh73
-rwxr-xr-xcoin/provisioning/qtci-macos-10.13-x86_64/35-openssl.sh73
3 files changed, 83 insertions, 144 deletions
diff --git a/coin/provisioning/common/macos/install_openssl.sh b/coin/provisioning/common/macos/install_openssl.sh
new file mode 100755
index 00000000..15f02ffd
--- /dev/null
+++ b/coin/provisioning/common/macos/install_openssl.sh
@@ -0,0 +1,81 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script install OpenSSL
+
+set -ex
+
+# shellcheck source=../common/unix/InstallFromCompressedFileFromURL.sh
+source "${BASH_SOURCE%/*}/../unix/InstallFromCompressedFileFromURL.sh"
+# shellcheck source=../common/unix/SetEnvVar.sh
+source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
+
+opensslVersion="1.0.2p"
+opensslFile="openssl-$opensslVersion.tar.gz"
+opensslDlUrl="http://ci-files01-hki.intra.qt.io/input/openssl/$opensslFile"
+opensslAltDlUrl="https://www.openssl.org/source/$opensslFile"
+opensslSha1="f34b5322e92415755c7d58bf5d0d5cf37666382c"
+
+# Below target location has been hard coded into Coin.
+# QTQAINFRA-1195
+openssl_install_dir=/usr/local/openssl-$opensslVersion
+opensslTargetLocation="/usr/local/opt/openssl"
+
+InstallFromCompressedFileFromURL "$opensslDlUrl" "$opensslAltDlUrl" "$opensslSha1" "/tmp/openssl-$opensslVersion" "openssl-$opensslVersion"
+cd "/tmp/openssl-$opensslVersion"
+pwd
+sudo ./config --prefix=$openssl_install_dir
+echo "Running 'make' for OpenSSL"
+sudo make --silent > /tmp/openssl_make.log 2>&1
+echo "Running 'make install' for OpenSSL"
+sudo make --silent install > /tmp/openssl_make_install.log 2>&1
+
+path=$(echo "$opensslTargetLocation" | sed -E 's/(.*)\/.*$/\1/')
+sudo mkdir -p "$path"
+sudo ln -s $openssl_install_dir $opensslTargetLocation
+
+SetEnvVar "PATH" "\"$opensslTargetLocation/bin:\$PATH\""
+SetEnvVar "MANPATH" "\"$opensslTargetLocation/share/man:\$MANPATH\""
+
+SetEnvVar "OPENSSL_DIR" "\"$openssl_install_dir\""
+SetEnvVar "OPENSSL_INCLUDE" "\"$openssl_install_dir/include\""
+SetEnvVar "OPENSSL_LIB" "\"$openssl_install_dir/lib\""
+
+security find-certificate -a -p /Library/Keychains/System.keychain | sudo tee -a $opensslTargetLocation/ssl/cert.pem
+security find-certificate -a -p /System/Library/Keychains/SystemRootCertificates.keychain | sudo tee -a $opensslTargetLocation/ssl/cert.pem
+
+sudo rm -rf /tmp/openssl-$opensslVersion
+
+echo "OpenSSL = $opensslVersion" >> ~/versions.txt
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/35-openssl.sh b/coin/provisioning/qtci-macos-10.12-x86_64/35-openssl.sh
index f836cf1d..36bcf53c 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/35-openssl.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/35-openssl.sh
@@ -1,76 +1,5 @@
#!/usr/bin/env bash
-#############################################################################
-##
-## Copyright (C) 2017 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-# This script install OpenSSL
-
set -ex
-# shellcheck source=../common/unix/InstallFromCompressedFileFromURL.sh
-source "${BASH_SOURCE%/*}/../common/unix/InstallFromCompressedFileFromURL.sh"
-# shellcheck source=../common/unix/SetEnvVar.sh
-source "${BASH_SOURCE%/*}/../common/unix/SetEnvVar.sh"
-
-opensslVersion="1.0.2p"
-opensslFile="openssl-$opensslVersion.tar.gz"
-opensslDlUrl="http://ci-files01-hki.intra.qt.io/input/openssl/$opensslFile"
-opensslAltDlUrl="https://www.openssl.org/source/$opensslFile"
-opensslSha1="f34b5322e92415755c7d58bf5d0d5cf37666382c"
-
-# Below target location has been hard coded into Coin.
-# QTQAINFRA-1195
-opensslTargetLocation="/usr/local/opt/openssl"
-
-InstallFromCompressedFileFromURL "$opensslDlUrl" "$opensslAltDlUrl" "$opensslSha1" "/tmp/openssl-$opensslVersion" "openssl-$opensslVersion"
-cd "/tmp/openssl-$opensslVersion"
-pwd
-sudo ./config --prefix=/usr/local/openssl-$opensslVersion
-echo "Running 'make' for OpenSSL"
-sudo make --silent > /tmp/openssl_make.log 2>&1
-echo "Running 'make install' for OpenSSL"
-sudo make --silent install > /tmp/openssl_make_install.log 2>&1
-
-path=$(echo "$opensslTargetLocation" | sed -E 's/(.*)\/.*$/\1/')
-sudo mkdir -p "$path"
-sudo ln -s /usr/local/openssl-$opensslVersion $opensslTargetLocation
-
-SetEnvVar "PATH" "\"$opensslTargetLocation/bin:\$PATH\""
-SetEnvVar "MANPATH" "\"$opensslTargetLocation/share/man:\$MANPATH\""
-
-security find-certificate -a -p /Library/Keychains/System.keychain | sudo tee -a $opensslTargetLocation/ssl/cert.pem
-security find-certificate -a -p /System/Library/Keychains/SystemRootCertificates.keychain | sudo tee -a $opensslTargetLocation/ssl/cert.pem
-
-sudo rm -rf /tmp/openssl-$opensslVersion
-
-echo "OpenSSL = $opensslVersion" >> ~/versions.txt
+source "${BASH_SOURCE%/*}/../common/macos/install_openssl.sh"
diff --git a/coin/provisioning/qtci-macos-10.13-x86_64/35-openssl.sh b/coin/provisioning/qtci-macos-10.13-x86_64/35-openssl.sh
index 9e025a5e..36bcf53c 100755
--- a/coin/provisioning/qtci-macos-10.13-x86_64/35-openssl.sh
+++ b/coin/provisioning/qtci-macos-10.13-x86_64/35-openssl.sh
@@ -1,76 +1,5 @@
#!/usr/bin/env bash
-#############################################################################
-##
-## Copyright (C) 2018 The Qt Company Ltd.
-## Contact: http://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL21$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see http://www.qt.io/terms-conditions. For further
-## information use the contact form at http://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 2.1 or version 3 as published by the Free
-## Software Foundation and appearing in the file LICENSE.LGPLv21 and
-## LICENSE.LGPLv3 included in the packaging of this file. Please review the
-## following information to ensure the GNU Lesser General Public License
-## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
-## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
-##
-## As a special exception, The Qt Company gives you certain additional
-## rights. These rights are described in The Qt Company LGPL Exception
-## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
-
-# This script install OpenSSL
-
set -ex
-# shellcheck source=../common/unix/InstallFromCompressedFileFromURL.sh
-source "${BASH_SOURCE%/*}/../common/unix/InstallFromCompressedFileFromURL.sh"
-# shellcheck source=../common/unix/SetEnvVar.sh
-source "${BASH_SOURCE%/*}/../common/unix/SetEnvVar.sh"
-
-opensslVersion="1.0.2p"
-opensslFile="openssl-$opensslVersion.tar.gz"
-opensslDlUrl="http://ci-files01-hki.intra.qt.io/input/openssl/$opensslFile"
-opensslAltDlUrl="https://www.openssl.org/source/$opensslFile"
-opensslSha1="f34b5322e92415755c7d58bf5d0d5cf37666382c"
-
-# Below target location has been hard coded into Coin.
-# QTQAINFRA-1195
-opensslTargetLocation="/usr/local/opt/openssl"
-
-InstallFromCompressedFileFromURL "$opensslDlUrl" "$opensslAltDlUrl" "$opensslSha1" "/tmp/openssl-$opensslVersion" "openssl-$opensslVersion"
-cd "/tmp/openssl-$opensslVersion"
-pwd
-sudo ./config --prefix=/usr/local/openssl-$opensslVersion
-echo "Running 'make' for OpenSSL"
-sudo make --silent > /tmp/openssl_make.log 2>&1
-echo "Running 'make install' for OpenSSL"
-sudo make --silent install > /tmp/openssl_make_install.log 2>&1
-
-path=$(echo "$opensslTargetLocation" | sed -E 's/(.*)\/.*$/\1/')
-sudo mkdir -p "$path"
-sudo ln -s /usr/local/openssl-$opensslVersion $opensslTargetLocation
-
-SetEnvVar "PATH" "\"$opensslTargetLocation/bin:\$PATH\""
-SetEnvVar "MANPATH" "\"$opensslTargetLocation/share/man:\$MANPATH\""
-
-security find-certificate -a -p /Library/Keychains/System.keychain | sudo tee -a $opensslTargetLocation/ssl/cert.pem
-security find-certificate -a -p /System/Library/Keychains/SystemRootCertificates.keychain | sudo tee -a $opensslTargetLocation/ssl/cert.pem
-
-sudo rm -rf /tmp/openssl-$opensslVersion
-
-echo "OpenSSL = $opensslVersion" >> ~/versions.txt
+source "${BASH_SOURCE%/*}/../common/macos/install_openssl.sh"